### Method

# FwupdPlugin BiosSettings get_attr

since: 1.8.4

#### Declaration [src]

    FwupdBiosSetting*
    fu_bios_settings_get_attr (
      FuBiosSettings* self,
      const gchar* val
    )

#### Description

No description available.

Available since: 1.8.4

#### Parameters

`val`

  Type: `const gchar*`

  The attribute ID or name to check for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdBiosSetting`

The attribute with the given ID or name or NULL if it doesn’t exist.

The data is owned by the instance.